import requests
import os

def parse_share(msg):
    if len(msg.split()) > 1:
        try:
            res = ''
            for s in msg.split()[1:]:
                res = '{}\n\n{}'.format(res, get_stock(s))
        except:
            res = '```Please input valid shares: !stock [share_name]```'
        return res
    return '```Please input at least one valid share: !stock [share_name]```'

def get_stock(share_name):
    token = os.getenv('stock_api_key')
    request_string="https://www.alphavantage.co/query?function=TIME_SERIES_DAILY&symbol={}&interval=5min&apikey={}".format(share_name, token)
    request = requests.get(request_string).json()
    target_date = request['Meta Data']['3. Last Refreshed']
    blob = request['Time Series (Daily)'][target_date]

    return "```Symbol: {}\nOpen: {}\nClose: {}\nHigh: {}\nLow: {}\nVolume: {}```".format(share_name.upper(), blob['1. open'], blob['4. close'], blob['2. high'], blob['3. low'], blob['5. volume'])
